function [hl vp vs dn] = gen_profile (cfg,par)

%----------------------------------------------
% SEDIMENT PART

% Gradient profile
out = gen_grad(cfg,par);

% Additional top-layer
out = add_top(cfg,out);

%----------------------------------------------
% BEDROCK PART

% Thickness
hl_r = 100;

% Poisson Ratio
poss = cfg.pois;

% Velocity
vs_r = cfg.rvel;
vp_r = vs_r*sqrt(2*(poss-1)/(2*poss-1));

% Density
dn_r = cfg.rdns;

% Localize bedrock
[mm zind] = min(abs(out.zz-cfg.zbed));

%----------------------------------------------
% ASSEMBLING PROFILE

hl = [out.hl(1:zind) hl_r];
vp = [out.vp(1:zind) vp_r];
vs = [out.vs(1:zind) vs_r];
dn = [out.dn(1:zind) dn_r];

return;
