close all;
clear all;

%----------------------------------------
% Settings

ROOT = '../Output/SBB_HV/';

%----------------------------------------
% Add-ons

figure(1); hold on;
plot([0 5000],[10 10],'r--','Linewidth',3);
plot([0 5000],[132 132],'r--','Linewidth',3);
text(2000,40,sprintf('Soft\n Sediments'),'Fontsize',12,'FontWeight','Bold');
text(100,140,'Bedrock','Fontsize',12,'FontWeight','Bold');
axis([0 5000 0 150]);

%----------------------------------------
fr0 = 1.1;

figure(2); hold on;
rectangle('Position',[fr0-0.2 0.01 0.4 1000],'FaceColor',[0.8 0.8 0.8]);
plot([fr0 fr0],[0.01 1000],'k--','Linewidth',3);
text(0.25+fr0,50,sprintf('f_0 = %.2fHz',fr0),'Fontsize',12,'FontWeight','Bold');

%----------------------------------------
% Plot

hd = plot_hvsr;
[he hp hs] = plot_inv_result([ROOT 'output.ascii.FILE_0002']);

figure(1);
legend([hp hs],'Vp','Vs');

figure(2);
legend([he hd],'Fit','Data');

