function ga_fit_plot (cfg,dat,out,ns)

%-----------------------------------
% Data fit plot

%-----------------------------------
% Rayleigh wave ellipticity plot
figure(1); cla reset; hold on;
set(gcf,'Position',[250 350 400 200]);
set(gcf,'Color',[1 1 1]);

if (cfg.elck > 0)
  ind0 = find(out.ellc ~= -1);
  ind1 = find(dat.file(ns).hv ~= -1);
  plot(dat.file(ns).fr(ind0),out.ellc(ind0),'b','Linewidth',2);
  plot(dat.file(ns).fr(ind1),dat.file(ns).hv(ind1),'r','Linewidth',2);
end

if (cfg.f0ck > 0)
  plot([out.elf0 out.elf0],[0.01 1000],'b','Linewidth',2);
  plot([dat.f0(ns) dat.f0(ns)],[0.01 1000],'r','Linewidth',2);
end

xlabel('Frequency (Hz)');
ylabel('Ellipticity (m/s)');
set(gca,'Xscale','log');
set(gca,'Yscale','log');
axis([0.5 15 0.1 100]);
box on;

%-----------------------------------
% Velocity profile
figure(2); cla reset; hold on;
set(gcf,'Position',[700 150 200 400]);
set(gcf,'Color',[1 1 1]);

plot_profile(out.hl,out.vs,'r');
plot_profile(out.hl,out.vp,'b');

axis([0 6000 0 250]);

xlabel('Velocity (m/s)');
ylabel('Depth (m)');
box on;

%-----------------------------------
% Profile plot function

function plot_profile (hl,vl,C)

lnum = length(hl);
hl = cumsum(hl);

X = [];
Y = [];

for nl = 1:lnum
  if nl == 1
    X = [X vl(1) vl(1)];
    Y = [Y 0 hl(1)];
    X = [X vl(1) vl(2)];
    Y = [Y hl(1) hl(1)];
  else
    if nl ~= lnum
    X = [X vl(nl) vl(nl)];
    Y = [Y hl(nl-1) hl(nl)];
    X = [X vl(nl) vl(nl+1)];
    Y = [Y hl(nl) hl(nl)];
    else
    X = [X vl(nl) vl(nl)];
    Y = [Y hl(nl-1) hl(nl-1)+100];
    end
  end
end

h = plot(X,Y,C,'Linewidth',2);
set(gca,'Ydir','reverse');

return;
