function [hl vp vs dn] = ga_gen_profile(mod,cfg,par,ns)

%----------------------------------------------
% SEDIMENT PART

% Gradient profile
out = ga_vg_prof(cfg,par);

% Additional top-layer
out = ga_add_top(cfg,out);

%----------------------------------------------
% BEDROCK PART

% Thickness
hl_r = 100;

% Poisson Ratio
poss = mod(3);

% Velocity
vs_r = mod(2);
vp_r = mod(2)*sqrt(2*(poss-1)/(2*poss-1));

% Density
dn_r = cfg.rdns;

% Localize bedrock
[mm zind] = min(abs(out.zz-mod(1)));

%----------------------------------------------
% ASSEMBLING PROFILE

hl = [out.hl(1:zind) hl_r];
vp = [out.vp(1:zind) vp_r];
vs = [out.vs(1:zind) vs_r];
dn = [out.dn(1:zind) dn_r];

return;
